## feedbackd 0.0.0%2Bgit20220208

=== meson_options.txt ===
option('introspection', type: 'feature', value: 'auto')
option('vapi', type: 'boolean', value: true)

option('daemon',
       type: 'boolean', value: true,
       description: 'Whether to build the daemon')
option('gtk_doc',
       type: 'boolean', value: false,
       description: 'Whether to generate the API reference for Libfeedback')
option('man',
       type: 'boolean', value : false,
       description : 'generate man pages (requires xsltproc)')
option('tests',
       type: 'boolean', value: true,
       description: 'Whether to compile unit tests')

## feedbackd 0.0.0+git20200726

=== debian/changelog ===
feedbackd (0.0.0+git20200726-1) unstable; urgency=medium

  * debian: udev: add support for PinePhone front LEDs
  * New upstream version 0.0.0+git20200726

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Tue, 04 Aug 2020 11:25:23 +0200

feedbackd (0.0.0+git20200714-1) unstable; urgency=medium

  * New upstream version 0.0.0+git20200714
  * d/patches: remove upstreamed patches
  * d/control: add Rules-Requires-Root

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Tue, 14 Jul 2020 13:47:28 +0200

feedbackd (0.0.0+git20200707-1) unstable; urgency=medium

  [ Guido Günther ]
  * d/control: Add myself as uploader
  * debian: Ship manpages
  * debian: Setup leds via udev.
    This allows feedbackd to set periodic feedback and makes usable
    LED devices identifiable by feedbackd.

  [ Arnaud Ferraris ]
  * New upstream version 0.0.0+git20200707
  * d/patches: remove custom manpage
    Upstream created a manpage for this package, we don't need to provide
    our own anymore.
  * debian: add missing symbols
  * d/patches: fix typos and manpage
    Fixes: lintian: bad-whatis-entry
    Fixes: lintian: spelling-error-in-binary
    Fixes: lintian: typo-in-manual-page

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Sun, 12 Jul 2020 16:44:45 +0200

feedbackd (0.0.0+git20200527-1) unstable; urgency=medium

  [ Federico Ceratto ]
  * Bump debhelper from old 12 to 13.
    Fixes: lintian: package-uses-old-debhelper-compat-version

  [ Arnaud Ferraris ]
  * New upstream version 0.0.0+git20200527

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Wed, 24 Jun 2020 01:34:19 +0200

feedbackd (0.0.0+git20200420-1) unstable; urgency=medium

  * New upstream release
  * debian: fix libfeedback symbols file

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Mon, 20 Apr 2020 15:35:26 +0200

feedbackd (0.0.0+git20200305-1) unstable; urgency=medium

  * Initial Debian release (Closes: #956682)

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Wed, 15 Apr 2020 17:16:33 +0200

## feedbackd 0.0.0+git20210125

=== debian/changelog ===
feedbackd (0.0.0+git20210125-1) unstable; urgency=medium

  * d/gbp.conf: remove 'v' prefix from debian tags
  * New upstream version 0.0.0+git20210125

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Tue, 26 Jan 2021 18:41:53 +0100

feedbackd (0.0.0+git20201114-1) unstable; urgency=medium

  [ Guido Günther ]
  * udev: Update led matching for the librem5.
    The names changed in device tree which tickles up into userspace.
  * debian: Don't abuse the video group.
    Use a separate group for users that should be able to access
    the LED devices.

  [ Arnaud Ferraris ]
  * New upstream version 0.0.0+git20201114

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Mon, 16 Nov 2020 10:16:11 +0100

=== debian/control ===
Source: feedbackd
Section: x11
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Arnaud Ferraris <arnaud.ferraris@gmail.com>,
 Guido Günther <agx@sigxcpu.org>,
Build-Depends:
 dbus,
 debhelper-compat (= 13),
 dh-sequence-gir,
 gtk-doc-tools,
 libgirepository1.0-dev,
 libglib2.0-dev,
 libgudev-1.0-dev (>= 232),
 libgsound-dev,
 libjson-glib-dev,
 meson,
 pkg-config,
 valac,
Standards-Version: 4.5.0
Homepage: https://source.puri.sm/Librem5/feedbackd
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/feedbackd
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/feedbackd.git
Rules-Requires-Root: no

Package: feedbackd
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 feedbackd-common (>= ${source:Version}),
 sound-theme-freedesktop,
Description: DBus service for haptic/visual/audio feedback
 Feedbackd is a DBus activated daemon that provides haptic/
 visual/audio feedback based on events.
 .
 This package contains the daemon.

Package: feedbackd-common
Architecture: all
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 feedbackd (<< 0.0.0+git20200304),
Replaces:
 feedbackd (<< 0.0.0+git20200304),
Description: Shared files for feedbackd
 Feedbackd is a DBus activated daemon that provides haptic/
 visual/audio feedback based on events.
 .
 This package contains the architecture-independent shared files.

Package: libfeedback-0.0-0
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Library for managing haptic/visual/audio feedback
 Feedbackd is a DBus activated daemon that provides haptic/
 visual/audio feedback based on events.
 .
 This package contains the shared libraries for applications interfacing with
 Feedbackd and the API documentation.

Package: libfeedback-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 gir1.2-lfb-0.0 (= ${binary:Version}),
 libfeedback-0.0-0 (= ${binary:Version}),
 libglib2.0-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Development files for libfeedback
 Feedbackd is a DBus activated daemon that provides haptic/
 visual/audio feedback based on events.
 .
 This package contains development files and Vala bindings to use when writing
 applications that interface with GThd.

Package: gir1.2-lfb-0.0
Architecture: any
Multi-Arch: same
Section: introspection
Breaks: gir1.2-feedback-0.0 (<< 0.0.0+git20200420)
Replaces: gir1.2-feedback-0.0 (<< 0.0.0+git20200420)
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Description: GObject introspection data for libfeedback
 Feedbackd is a DBus activated daemon that provides haptic/
 visual/audio feedback based on events.
 .
 This package contains introspection data for the libfeedback library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --builddirectory=_build

override_dh_auto_configure:
	dh_auto_configure -- -Dgtk_doc=true -Dman=true

override_dh_installudev:
	# Make sure all the symlink rules in 60 ran:
	dh_installudev --priority=90

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dbus-run-session ninja -C _build test
endif

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/feedbackd.*\.tar\.gz/feedbackd-$1\.tar\.gz/g \
  https://source.puri.sm/Librem5/feedbackd/tags?sort=updated_desc .*/archive/v(\d\S+)/.*\.tar\.gz.*

## feedbackd 0.0.0+git20220208

=== debian/changelog ===
feedbackd (0.0.0+git20220208-1) unstable; urgency=medium

  * New upstream version
  * Bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Fri, 11 Feb 2022 16:34:35 +0100

feedbackd (0.0.0+git20211018-2) unstable; urgency=medium

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Thu, 28 Oct 2021 15:39:05 +0200

feedbackd (0.0.0+git20211018-1) experimental; urgency=medium

  [ Evangelos Ribeiro Tzaras ]
  * d/control: Add json-glib-tools as build dependency.
    This will make sure that the json theme file gets validated in CI.

  [ Guido Günther ]
  * New upstream git snapshot 0.0.0+git20211018
  * d/control: Recommend gnome-desktop-schemas

 -- Guido Günther <agx@sigxcpu.org>  Tue, 19 Oct 2021 13:18:31 +0200

feedbackd (0.0.0+git20210426-2) unstable; urgency=medium

  * Upload to unstable

 -- Arnaud Ferraris <arnaud.ferraris@collabora.com>  Wed, 22 Sep 2021 18:09:09 +0200

feedbackd (0.0.0+git20210426-1) experimental; urgency=medium

  * New upstream version

 -- Guido Günther <agx@sigxcpu.org>  Tue, 27 Apr 2021 14:48:46 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,9 @@
  dbus,
  debhelper-compat (= 13),
  dh-sequence-gir,
+ gsettings-desktop-schemas,
  gtk-doc-tools,
+ json-glib-tools,
  libgirepository1.0-dev,
  libglib2.0-dev,
  libgudev-1.0-dev (>= 232),
@@ -17,7 +19,7 @@
  meson,
  pkg-config,
  valac,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://source.puri.sm/Librem5/feedbackd
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/feedbackd
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/feedbackd.git
@@ -30,6 +32,8 @@
  ${shlibs:Depends},
  feedbackd-common (>= ${source:Version}),
  sound-theme-freedesktop,
+Recommends:
+ gsettings-desktop-schemas,
 Description: DBus service for haptic/visual/audio feedback
  Feedbackd is a DBus activated daemon that provides haptic/
  visual/audio feedback based on events.

=== debian/tests/control ===
Tests: build-test
Depends:
 build-essential,
 libfeedback-dev,
 pkg-config,
Restrictions: allow-stderr, superficial

Test-Command: python3 -c 'import gi; from gi.repository import Lfb'
Depends:
 gir1.2-lfb-0.0,
 python3,
 python3-gi,
Restrictions: allow-stderr, superficial

## feedbackd 0.0.0+git20220520

=== debian/changelog ===
feedbackd (0.0.0+git20220520-1) unstable; urgency=medium

  * New upstream version

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Thu, 26 May 2022 00:57:09 +0200

## feedbackd 0.0.3

=== subprojects/gmobile/meson_options.txt ===
option('examples',
       type: 'boolean', value: true,
       description: 'Whether to compile the examples')

option('tests',
       type: 'boolean', value: true,
       description: 'Whether to compile unit tests')

option('gtk_doc',
       type: 'boolean', value: false,
       description: 'Whether to generate the API reference')

=== debian/changelog ===
feedbackd (0.0.3-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches. All patches applied upstream.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 02 Feb 2023 14:29:59 +0100

feedbackd (0.0.2-1) unstable; urgency=medium

  * New upstream release
  * debian: Upstream uses gi-docgen now
  * Install manpages via dh_installman.
    This supports the nodoc build profile
  * d/control: Manpages use rst2man now
  * autopkgtest: Run fbd-theme-validate
  * Override privacy-breach-facebook lintian error.
    It incorrectly gets tripped up by the LfbEvent class name.
  * build: Add dbus sources to the lib dependency
  * Switch main branch debian/latest
  * Use upstream tarballs with signatures

 -- Guido Günther <agx@sigxcpu.org>  Thu, 15 Dec 2022 17:33:36 +0100

feedbackd (0.0.1-1) unstable; urgency=medium

  [ Evangelos Ribeiro Tzaras ]
  * d/control: libfeedback-0.0-0 recommends feedbackd.
    Users running the library typically want the daemon installed as well.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
    * Build-Depends: Drop versioned constraint on libgudev-1.0-dev.
    Changes-By: deb-scrub-obsolete

  [ Guido Günther ]
  * New upstream release
  * d/gbp.conf: Use upstream-vcs

 -- Guido Günther <agx@sigxcpu.org>  Fri, 11 Nov 2022 12:38:53 +0100

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,18 @@
  dbus,
  debhelper-compat (= 13),
  dh-sequence-gir,
- gsettings-desktop-schemas,
+ gsettings-desktop-schemas <!nocheck>,
+ gi-docgen <!nodoc>,
  gtk-doc-tools,
  json-glib-tools,
  libgirepository1.0-dev,
  libglib2.0-dev,
- libgudev-1.0-dev (>= 232),
+ libgudev-1.0-dev,
  libgsound-dev,
  libjson-glib-dev,
  meson,
  pkg-config,
+ python3-docutils <!nodoc>,
  valac,
 Standards-Version: 4.6.0
 Homepage: https://source.puri.sm/Librem5/feedbackd
@@ -62,6 +64,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends: feedbackd (>= ${binary:Version})
 Description: Library for managing haptic/visual/audio feedback
  Feedbackd is a DBus activated daemon that provides haptic/
  visual/audio feedback based on events.

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,20 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+  CONFIGURE_OPTS += -Dtests=false
+endif
+
+ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
+  CONFIGURE_OPTS += -Dgtk_doc=true -Dman=true
+endif
 
 %:
 	dh $@ --builddirectory=_build
 
 override_dh_auto_configure:
-	dh_auto_configure -- -Dgtk_doc=true -Dman=true
+	dh_auto_configure -- $(CONFIGURE_OPTS)
 
 override_dh_installudev:
 	# Make sure all the symlink rules in 60 ran:

## feedbackd 0.1.1

=== debian/changelog ===
feedbackd (0.1.1-1) experimental; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Wed, 29 Mar 2023 17:42:10 +0200

feedbackd (0.1.0-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Mon, 27 Feb 2023 17:31:48 +0100

## feedbackd 0.2.1

=== meson_options.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
        description: 'Whether to generate the API reference for Libfeedback')
 option('man',
        type: 'boolean', value : false,
-       description : 'generate man pages (requires xsltproc)')
+       description : 'generate man pages (requires rst2man)')
 option('tests',
        type: 'boolean', value: true,
        description: 'Whether to compile unit tests')

=== debian/changelog ===
feedbackd (0.2.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:14:40 +0000

feedbackd (0.2.1-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:20:11 +0000

feedbackd (0.2.1-1) unstable; urgency=medium

  [ Evangelos Ribeiro Tzaras ]
  * lfb-dev: Register documentation with doc-base (Closes: #1041411)

  [ Guido Günther ]
  * New upstream release
  * Install feedback-themes manpage (Closes: #1050762)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 31 Aug 2023 12:04:54 +0200

feedbackd (0.2.0-2) unstable; urgency=medium

  * Upload to unstable 

 -- Guido Günther <agx@sigxcpu.org>  Tue, 13 Jun 2023 14:56:58 +0200

feedbackd (0.2.0-1) experimental; urgency=medium

  * New upstream release
  * Load kernel modules via udev.
    Upstream did that back in 0.1.0.
  * d/control: Drop Breaks/Replaces on gir1.2-feedback-0.0.
    It's gone since ages and not in the archive.
  * Update symbols file. Use a symbol version of a released version and add
    the new symbols of this release.
  * Bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Mon, 24 Apr 2023 11:29:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: feedbackd
 Section: x11
 Priority: optional
-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Arnaud Ferraris <arnaud.ferraris@gmail.com>,
  Guido Günther <agx@sigxcpu.org>,
 Build-Depends:
@@ -21,7 +22,7 @@
  pkg-config,
  python3-docutils <!nodoc>,
  valac,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://source.puri.sm/Librem5/feedbackd
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/feedbackd
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/feedbackd.git
@@ -93,8 +94,6 @@
 Architecture: any
 Multi-Arch: same
 Section: introspection
-Breaks: gir1.2-feedback-0.0 (<< 0.0.0+git20200420)
-Replaces: gir1.2-feedback-0.0 (<< 0.0.0+git20200420)
 Depends:
  ${gir:Depends},
  ${misc:Depends},

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.asc%" https://storage.puri.sm/releases/@PACKAGE@/ \
             @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## feedbackd 0.4.0

=== debian/changelog ===
feedbackd (0.4.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: Build-depend on umockdev.
    Needed for the tests.
  * d/control: Add breaks on older calls. We need a calls with
    https://gitlab.gnome.org/GNOME/calls/-/merge_requests/734

 -- Guido Günther <agx@sigxcpu.org>  Sun, 23 Jun 2024 09:24:25 +0200

feedbackd (0.3.0-2) unstable; urgency=medium

  * d/control: Fix package description
  * doc: Add NEWS.  It's basically the upstream changelog
  * doc: Add upstream README.
    It contains useful information regarding configuration
    (Closes: #1050601)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 31 May 2024 14:56:54 +0200

feedbackd (0.3.0-1) unstable; urgency=medium

  * New upstream release
  * Update build-deps and use shared gmobile
  * Update symbols file
  * Install NEWS and development docs
  * Use pkgconf
  * Fix lintian override

 -- Guido Günther <agx@sigxcpu.org>  Sun, 21 Apr 2024 18:28:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: feedbackd
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Arnaud Ferraris <arnaud.ferraris@gmail.com>,
  Guido Günther <agx@sigxcpu.org>,
 Build-Depends:
@@ -11,15 +10,18 @@
  dh-sequence-gir,
  gsettings-desktop-schemas <!nocheck>,
  gi-docgen <!nodoc>,
- gtk-doc-tools,
+ gir1.2-gio-2.0-dev,
  json-glib-tools,
  libgirepository1.0-dev,
  libglib2.0-dev,
+ libgmobile-dev,
  libgudev-1.0-dev,
  libgsound-dev,
  libjson-glib-dev,
+ libumockdev-dev,
+ umockdev,
  meson,
- pkg-config,
+ pkgconf,
  python3-docutils <!nodoc>,
  valac,
 Standards-Version: 4.6.2
@@ -37,6 +39,8 @@
  sound-theme-freedesktop,
 Recommends:
  gsettings-desktop-schemas,
+Breaks:
+ calls (<< 46.1),
 Description: DBus service for haptic/visual/audio feedback
  Feedbackd is a DBus activated daemon that provides haptic/
  visual/audio feedback based on events.
@@ -88,7 +92,7 @@
  visual/audio feedback based on events.
  .
  This package contains development files and Vala bindings to use when writing
- applications that interface with GThd.
+ applications that interface with feedbackd.
 
 Package: gir1.2-lfb-0.0
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,20 @@
   CONFIGURE_OPTS += -Dgtk_doc=true -Dman=true
 endif
 
+COMMON_PKG=feedbackd-common
+
+docroot := $(CURDIR)/debian/tmp/usr/share/doc/
+
 %:
 	dh $@ --builddirectory=_build
+
+override_dh_installdocs:
+	dh_installdocs -p$(COMMON_PKG) NEWS
+ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
+	mkdir -p $(docroot)/libfeedback-dev/libfeedback-0
+	mv $(docroot)/libfeedback-0 $(docroot)/libfeedback-dev/
+endif
+	dh_installdocs
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIGURE_OPTS)

## feedbackd 0.5.0

=== debian/changelog ===
feedbackd (0.5.0-1) unstable; urgency=medium

  * New upstream release
    - Detect haptic on Google Sargo and Oneplus Enchilada/Fachita
    - Handle "alert slider" on Oneplus Enchilada/Fachita

 -- Guido Günther <agx@sigxcpu.org>  Sat, 28 Sep 2024 09:29:49 +0200

feedbackd (0.4.1-1) unstable; urgency=medium

  * New upstream release
  * Use upstream udev rule. No need to ship a copy that
    just gets out of sync.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 14 Aug 2024 16:44:40 +0200

## feedbackd 0.6.0

=== debian/changelog ===
feedbackd (0.6.0-1) unstable; urgency=medium

  * New upstream release
    * feedbackd: Add vibration API. Gives e.g. games more control over haptic
      and will allow browsers to implement `navigator.vibrate()`
    * spec: Clarify use of notification related events
    * Fix crash in fbd-lectrl when group doesn't exist
  * Update symbols file

 -- Guido Günther <agx@sigxcpu.org>  Sat, 21 Dec 2024 21:56:06 +0100

## feedbackd 0.7.0

=== debian/changelog ===
feedbackd (0.7.0-1) unstable; urgency=medium

  * New upstream release
  * Update symbols
  * tests: Allow stderr output. The dconf warning doesn't matter

 -- Guido Günther <agx@sigxcpu.org>  Mon, 03 Feb 2025 16:04:59 +0100

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
  libgsound-dev,
  libjson-glib-dev,
  libumockdev-dev,
+ systemd-dev,
  umockdev,
  meson,
  pkgconf,
@@ -39,11 +40,10 @@
  sound-theme-freedesktop,
 Recommends:
  gsettings-desktop-schemas,
-Breaks:
- calls (<< 46.1),
 Description: DBus service for haptic/visual/audio feedback
  Feedbackd is a DBus activated daemon that provides haptic/
- visual/audio feedback based on events.
+ visual/audio feedback based on events selected from configurable
+ profiles.
  .
  This package contains the daemon.
 
@@ -58,7 +58,8 @@
  feedbackd (<< 0.0.0+git20200304),
 Description: Shared files for feedbackd
  Feedbackd is a DBus activated daemon that provides haptic/
- visual/audio feedback based on events.
+ visual/audio feedback based on events selected from configurable
+ profiles.
  .
  This package contains the architecture-independent shared files.
 
@@ -72,10 +73,11 @@
 Recommends: feedbackd (>= ${binary:Version})
 Description: Library for managing haptic/visual/audio feedback
  Feedbackd is a DBus activated daemon that provides haptic/
- visual/audio feedback based on events.
+ visual/audio feedback based on events selected from configurable
+ profiles.
  .
- This package contains the shared libraries for applications interfacing with
- Feedbackd and the API documentation.
+ This package contains the shared libraries for applications
+ interfacing with Feedbackd and the API documentation.
 
 Package: libfeedback-dev
 Architecture: any
@@ -89,10 +91,11 @@
  ${shlibs:Depends},
 Description: Development files for libfeedback
  Feedbackd is a DBus activated daemon that provides haptic/
- visual/audio feedback based on events.
+ visual/audio feedback based on events selected from configurable
+ profiles.
  .
- This package contains development files and Vala bindings to use when writing
- applications that interface with feedbackd.
+ This package contains development files and Vala bindings to use when
+ writing applications that interface with feedbackd.
 
 Package: gir1.2-lfb-0.0
 Architecture: any
@@ -104,6 +107,7 @@
  ${shlibs:Depends},
 Description: GObject introspection data for libfeedback
  Feedbackd is a DBus activated daemon that provides haptic/
- visual/audio feedback based on events.
+ visual/audio feedback based on events selected from configurable
+ profiles.
  .
  This package contains introspection data for the libfeedback library.

=== debian/tests/control ===
--- 
+++ 
@@ -11,3 +11,8 @@
  python3,
  python3-gi,
 Restrictions: allow-stderr, superficial
+
+Test-Command: fbd-theme-validate /usr/share/feedbackd/themes/default.json
+Depends:
+ feedbackd
+Restrictions: superficial, allow-stderr

## feedbackd 0.8.0

=== debian/changelog ===
feedbackd (0.8.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Fri, 21 Mar 2025 20:29:08 +0100

feedbackd (0.7.0-2) unstable; urgency=medium

  * wrap-and-sort and check that in CI
  * Depend on adduser (Closes: 1100355)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 21 Mar 2025 09:45:27 +0100

=== debian/control ===
--- 
+++ 
@@ -2,28 +2,29 @@
 Section: x11
 Priority: optional
 Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
-Uploaders: Arnaud Ferraris <arnaud.ferraris@gmail.com>,
+Uploaders:
+ Arnaud Ferraris <arnaud.ferraris@gmail.com>,
  Guido Günther <agx@sigxcpu.org>,
 Build-Depends:
- dbus,
  debhelper-compat (= 13),
  dh-sequence-gir,
- gsettings-desktop-schemas <!nocheck>,
+ dbus,
  gi-docgen <!nodoc>,
  gir1.2-gio-2.0-dev,
+ gsettings-desktop-schemas <!nocheck>,
  json-glib-tools,
  libgirepository1.0-dev,
  libglib2.0-dev,
  libgmobile-dev,
+ libgsound-dev,
  libgudev-1.0-dev,
- libgsound-dev,
  libjson-glib-dev,
  libumockdev-dev,
- systemd-dev,
- umockdev,
  meson,
  pkgconf,
  python3-docutils <!nodoc>,
+ systemd-dev,
+ umockdev,
  valac,
 Standards-Version: 4.6.2
 Homepage: https://source.puri.sm/Librem5/feedbackd
@@ -34,10 +35,11 @@
 Package: feedbackd
 Architecture: any
 Depends:
+ adduser,
+ feedbackd-common (>= ${source:Version}),
+ sound-theme-freedesktop,
  ${misc:Depends},
  ${shlibs:Depends},
- feedbackd-common (>= ${source:Version}),
- sound-theme-freedesktop,
 Recommends:
  gsettings-desktop-schemas,
 Description: DBus service for haptic/visual/audio feedback
@@ -70,7 +72,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends: feedbackd (>= ${binary:Version})
+Recommends:
+ feedbackd (>= ${binary:Version}),
 Description: Library for managing haptic/visual/audio feedback
  Feedbackd is a DBus activated daemon that provides haptic/
  visual/audio feedback based on events selected from configurable

## feedbackd 0.8.1

=== debian/changelog ===
feedbackd (0.8.1-1) unstable; urgency=medium

  * New upstream bugfix release
  * Recommend feedbackd-device-themes and udev

 -- Guido Günther <agx@sigxcpu.org>  Sun, 30 Mar 2025 17:01:44 +0200

=== debian/tests/control ===
Tests:
 build-test,
Depends:
 build-essential,
 libfeedback-dev,
 pkg-config,
Restrictions:
 allow-stderr,
 superficial,

Test-Command: python3 -c 'import gi; from gi.repository import Lfb'
Depends:
 gir1.2-lfb-0.0,
 python3,
 python3-gi,
Restrictions:
 allow-stderr,
 superficial,

Test-Command: fbd-theme-validate /usr/share/feedbackd/themes/default.json
Depends:
 feedbackd,
Restrictions:
 allow-stderr,
 superficial,

## feedbackd 0.8.2

=== debian/changelog ===
feedbackd (0.8.2-1) unstable; urgency=medium

  * New upstream bugfix release
  * Add fbcli autopkgtest.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 10 May 2025 11:58:00 +0200

=== debian/control ===
--- 
+++ 
@@ -41,7 +41,11 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
+ feedbackd-device-themes (>= 0.8.0~),
  gsettings-desktop-schemas,
+ udev,
+Breaks:
+ feedbackd-device-themes (<< 0.8.0~),
 Description: DBus service for haptic/visual/audio feedback
  Feedbackd is a DBus activated daemon that provides haptic/
  visual/audio feedback based on events selected from configurable

## feedbackd 0.8.3

=== debian/changelog ===
feedbackd (0.8.3-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream release
    * Add more haptic driver rules based on what pmOS added over time

 -- Guido Günther <agx@sigxcpu.org>  Sat, 28 Jun 2025 09:51:19 +0200

## feedbackd 0.8.4

=== debian/changelog ===
feedbackd (0.8.4-2) unstable; urgency=medium

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Sat, 09 Aug 2025 12:30:32 +0200

feedbackd (0.8.4-1) experimental; urgency=medium

  * New upstream release
    * Support LEDs with legacy naming as used on e.g. the N900 and
      Motorola Droid 4
    * Add `key-pressed` and `key-released` events that e.g. OSKs can
      use to emit haptic feedback in silent mode
  * d/control: Bump f-d-t dependency.
    We want it to have `key-*` events

 -- Guido Günther <agx@sigxcpu.org>  Thu, 07 Aug 2025 09:13:55 +0200

=== debian/tests/control ===
Tests:
 build-test,
Depends:
 build-essential,
 libfeedback-dev,
 pkg-config,
Restrictions:
 allow-stderr,

Test-Command: python3 -c 'import gi; from gi.repository import Lfb'
Depends:
 gir1.2-lfb-0.0,
 python3,
 python3-gi,
Restrictions:
 allow-stderr,

Test-Command: fbd-theme-validate /usr/share/feedbackd/themes/default.json
Depends:
 feedbackd,
Restrictions:
 allow-stderr,

Test-Command: dbus-run-session fbcli -I -t 1 && fbcli --help
Depends:
 feedbackd,
Restrictions:
 allow-stderr,

## feedbackd 0.8.5

=== debian/changelog ===
feedbackd (0.8.5-1) unstable; urgency=medium

  * New upstream release
    * Clarify that `important` is meant to override the global feedback level
      not the app level
    * Add udev rule for FP5 haptic

 -- Guido Günther <agx@sigxcpu.org>  Tue, 30 Sep 2025 20:06:24 +0200

## feedbackd 0.8.6

=== meson_options.txt ===
--- 
+++ 
@@ -1,6 +1,9 @@
 option('introspection', type: 'feature', value: 'auto')
 option('vapi', type: 'boolean', value: true)
 
+option('udev',
+       type: 'boolean', value: true,
+       description: 'Whether to install the udev rules')
 option('daemon',
        type: 'boolean', value: true,
        description: 'Whether to build the daemon')
@@ -13,3 +16,6 @@
 option('tests',
        type: 'boolean', value: true,
        description: 'Whether to compile unit tests')
+option('systemd_user_unit_dir',
+       type: 'string', value: '',
+       description: 'Directory for systemd user units')

=== debian/changelog ===
feedbackd (0.8.6-1) unstable; urgency=medium

  * New upstream release
    * Fix compatibility with systemd >= 258

 -- Guido Günther <agx@sigxcpu.org>  Sun, 05 Oct 2025 13:53:12 +0200

=== debian/control ===
--- 
+++ 
@@ -26,8 +26,8 @@
  systemd-dev,
  umockdev,
  valac,
-Standards-Version: 4.6.2
-Homepage: https://source.puri.sm/Librem5/feedbackd
+Standards-Version: 4.7.2
+Homepage: https://gitlab.freedesktop.org/agx/feedbackd
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/feedbackd
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/feedbackd.git
 Rules-Requires-Root: no
@@ -41,11 +41,11 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- feedbackd-device-themes (>= 0.8.0~),
+ feedbackd-device-themes (>= 0.8.5~),
  gsettings-desktop-schemas,
  udev,
 Breaks:
- feedbackd-device-themes (<< 0.8.0~),
+ feedbackd-device-themes (<< 0.8.5~),
 Description: DBus service for haptic/visual/audio feedback
  Feedbackd is a DBus activated daemon that provides haptic/
  visual/audio feedback based on events selected from configurable

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+CONFIGURE_OPTS=-Dudev=true
 
 ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
   CONFIGURE_OPTS += -Dtests=false
@@ -28,10 +30,6 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIGURE_OPTS)
 
-override_dh_installudev:
-	# Make sure all the symlink rules in 60 ran:
-	dh_installudev --priority=90
-
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dbus-run-session ninja -C _build test

## feedbackd 0.8.7

=== debian/changelog ===
feedbackd (0.8.7-1) unstable; urgency=medium

  * New upstream release
    * Add build time option for media roles (not yet enabled in Debian)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 16 Nov 2025 16:22:45 +0100

## feedbackd 0.8.8

=== debian/changelog ===
feedbackd (0.8.8-2) unstable; urgency=medium

  * Depend on dbus-daemon only.
    It's sufficient for the tests (Closes: #1122591)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 05 Jan 2026 22:09:03 +0100

feedbackd (0.8.8-1) unstable; urgency=medium

  * New upstream release
    * Support haptic on Google Nexus 10, Samung Note 10.1
    * Create users via systemd-sysusers
    * Fix max brightness for LED patterns on multicolor LEDs
  * Update upstream signing key
  * d/copyright: Fix upstream URL
  * Use dh-sequence-installsysusers
  * postinst: Trigger input events too.
    Needed for haptic

 -- Guido Günther <agx@sigxcpu.org>  Thu, 01 Jan 2026 16:36:06 +0100

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-gir,
- dbus,
+ dh-sequence-installsysusers,
+ dbus-daemon <!nocheck>,
  gi-docgen <!nodoc>,
  gir1.2-gio-2.0-dev,
  gsettings-desktop-schemas <!nocheck>,
  json-glib-tools,
- libgirepository1.0-dev,
  libglib2.0-dev,
  libgmobile-dev,
  libgsound-dev,
@@ -30,7 +30,6 @@
 Homepage: https://gitlab.freedesktop.org/agx/feedbackd
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/feedbackd
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/feedbackd.git
-Rules-Requires-Root: no
 
 Package: feedbackd
 Architecture: any
@@ -95,7 +94,6 @@
  libfeedback-0.0-0 (= ${binary:Version}),
  libglib2.0-dev,
  ${misc:Depends},
- ${shlibs:Depends},
 Description: Development files for libfeedback
  Feedbackd is a DBus activated daemon that provides haptic/
  visual/audio feedback based on events selected from configurable
@@ -111,7 +109,6 @@
 Depends:
  ${gir:Depends},
  ${misc:Depends},
- ${shlibs:Depends},
 Description: GObject introspection data for libfeedback
  Feedbackd is a DBus activated daemon that provides haptic/
  visual/audio feedback based on events selected from configurable

## feedbackd 0.8.9

=== debian/changelog ===
feedbackd (0.8.9-1) unstable; urgency=medium

  * New upstream release
    * Improve docs
    * Add custom theme example
    * udev: Match LED on devices with multiple status LEDs
    * Simplify using media roles via build profile
    * theme: Fix window-close event name

 -- Guido Günther <agx@sigxcpu.org>  Sat, 07 Feb 2026 08:34:44 +0100
